%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Test-MockObject
Version:        0.15
Release:        0.fdr.2.rh90
Epoch:          0
Summary:        Perl extension for emulating troublesome interfaces

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Test-MockObject/
Source:         http://www.cpan.org/authors/id/C/CH/CHROMATIC/Test-MockObject-0.15.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Scalar::Util), perl(Test::Simple) >= 0.44
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::MockObject is a highly polymorphic testing object, capable of
looking like all sorts of objects.  This makes white-box testing much
easier, as you can concentrate on what the code being tested sends to
and receives from the mocked object, instead of worrying about faking
up your own data.  (Another option is not to test difficult things.
Now you have no excuse.)


%prep
%setup -q -n Test-MockObject-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3*


%changelog
* Tue Dec 28 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.15-0.fdr.2
- Build requires Test::Simple >= 0.44 (bug 2324).

* Wed Dec 01 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.15-0.fdr.1
- Update to 0.15.

* Tue May 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.14-0.fdr.1
- Update to 0.14.
- Require perl >= 1:5.6.1 for vendor install dir support.
- Use pure_install to avoid perllocal.pod workarounds.
- Moved make test to section %%check.

* Wed Nov 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.1
- First build.
